Printing [DEPRECATED]

## Functions

int | nfq_snprintf_xml (char *buf, size_t rem, struct nfq_data *tb, int flags)

## Detailed Description

## Function Documentation

## nfq_snprintf_xml()

int nfq_snprintf_xml | ( | char * | buf,
|  | size_t | rem,
|  | struct nfq_data * | tb,
|  | int | flags )

nfq_snprintf_xml - print the enqueued packet in XML format into a buffer

Parameters

  buf | The buffer that you want to use to print the logged packet
  rem | The size of the buffer that you have passed
  tb | Netlink packet data handle passed to callback function
  flags | The flag that tell what to print into the buffer

This function supports the following flags:

     - NFQ_XML_HW: include the hardware link layer address
     - NFQ_XML_MARK: include the packet mark
     - NFQ_XML_DEV: include the device information
     - NFQ_XML_PHYSDEV: include the physical device information
     - NFQ_XML_PAYLOAD: include the payload (in hexadecimal)
     - NFQ_XML_TIME: include the timestamp
     - NFQ_XML_ALL: include all the logging information (all flags set)

You can combine this flags with an binary OR.

Returns
  -1 in case of failure, otherwise the length of the string that would have been printed into the buffer (in case that there is enough room in it). See snprintf() return value for more information.

Definition at line 1378 of file libnetfilter_queue.c.